import * as $dara from '@darabonba/typescript';
import { ListClientAlertModeResponseBody } from "./ListClientAlertModeResponseBody";
export declare class ListClientAlertModeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListClientAlertModeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
